beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From al...@apache.org
Subject [1/2] beam git commit: Make error message python 3.6 compatible
Date Mon, 20 Mar 2017 22:52:56 GMT
Repository: beam
Updated Branches:
  refs/heads/master 9b48a2d78 -> 8d240981b


Make error message python 3.6 compatible


Project: http://git-wip-us.apache.org/repos/asf/beam/repo
Commit: http://git-wip-us.apache.org/repos/asf/beam/commit/30b5fe55
Tree: http://git-wip-us.apache.org/repos/asf/beam/tree/30b5fe55
Diff: http://git-wip-us.apache.org/repos/asf/beam/diff/30b5fe55

Branch: refs/heads/master
Commit: 30b5fe552cbf40a6914d327ac5455394ee615493
Parents: 9b48a2d
Author: Julien L <ordirules@gmail.com>
Authored: Mon Mar 20 14:09:08 2017 -0400
Committer: Ahmet Altay <altay@google.com>
Committed: Mon Mar 20 15:51:40 2017 -0700

----------------------------------------------------------------------
 sdks/python/apache_beam/__init__.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/beam/blob/30b5fe55/sdks/python/apache_beam/__init__.py
----------------------------------------------------------------------
diff --git a/sdks/python/apache_beam/__init__.py b/sdks/python/apache_beam/__init__.py
index 5a63fff..e680c9e 100644
--- a/sdks/python/apache_beam/__init__.py
+++ b/sdks/python/apache_beam/__init__.py
@@ -69,7 +69,7 @@ import sys
 if not (sys.version_info[0] == 2 and sys.version_info[1] == 7):
   raise RuntimeError(
       'Dataflow SDK for Python is supported only on Python 2.7. '
-      'It is not supported on Python [%s].' % sys.version_info)
+      'It is not supported on Python ['+ str(sys.version_info) + '].')
 
 # pylint: disable=wrong-import-position
 import apache_beam.internal.pickler


Mime
View raw message